#
# spec file for package ghc-text-show-instances
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name text-show-instances
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        3.6
Release:        lp150.1.8
Summary:        Additional instances for text-show
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-bifunctors-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-ghc-boot-th-devel
BuildRequires:  ghc-haskeline-devel
BuildRequires:  ghc-hoopl-devel
BuildRequires:  ghc-hpc-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-tagged-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-terminfo-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-text-show-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-xhtml-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-generic-deriving-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-th-orphans-devel
%endif

%description
'text-show-instances' is a supplemental library to 'text-show' that provides
additional 'Show' instances for data types in common Haskell libraries and GHC
dependencies that are not encompassed by 'text-show'. Currently,
'text-show-instances' covers these libraries:

* '<http://hackage.haskell.org/package/bifunctors bifunctors>'

* '<http://hackage.haskell.org/package/binary binary>'

* '<http://hackage.haskell.org/package/containers containers>'

* '<http://hackage.haskell.org/package/directory directory>'

* '<http://hackage.haskell.org/package/ghc-boot-th ghc-boot-th>'

* '<http://hackage.haskell.org/package/haskeline haskeline>'

* '<http://hackage.haskell.org/package/hoopl hoopl>'

* '<http://hackage.haskell.org/package/hpc hpc>'

* '<http://hackage.haskell.org/package/old-locale old-locale>'

* '<http://hackage.haskell.org/package/old-time old-time>'

* '<http://hackage.haskell.org/package/pretty pretty>'

* '<http://hackage.haskell.org/package/random random>'

* '<http://hackage.haskell.org/package/tagged tagged>'

* '<http://hackage.haskell.org/package/template-haskell template-haskell>'

* '<http://hackage.haskell.org/package/terminfo terminfo>'

* '<http://hackage.haskell.org/package/time time>'

* '<http://hackage.haskell.org/package/transformers transformers>'

* '<http://hackage.haskell.org/package/unix unix>'

* '<http://hackage.haskell.org/package/unordered-containers
unordered-containers>'

* '<http://hackage.haskell.org/package/vector vector>'

* '<http://hackage.haskell.org/package/Win32 Win32>'

* '<http://hackage.haskell.org/package/xhtml xhtml>'

One can use these instances by importing "TextShow.Instances".
Alternatively, there are monomorphic versions of the 'showb' function available
in the other submodules of "TextShow".

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 3.6 revision 1.
* Thu Jun  8 2017 psimons@suse.com
- Update to version 3.5 revision 1.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 3.5 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 3.4 revision 0 with cabal2obs.
